Mail archive
alpine-devel

Re: [alpine-devel] [PATCH] main/iaxmodem: Create/modify init.d scripts iaxmodem can now be run using '/etc/init.d/iaxmodem start' iaxmodem is also being patched so it can handle '-P <pidfile>' option.

From: Natanael Copa <ncopa_at_alpinelinux.org>
Date: Mon, 6 May 2013 13:46:41 +0200

On Mon, 6 May 2013 06:52:55 +0000
Mika Havela <mika.havela_at_gmail.com> wrote:

Thanks! I have some comments below.

> ---
> main/iaxmodem/APKBUILD | 54 ++++++++++++++----
> main/iaxmodem/iaxmodem.c.patch | 126 +++++++++++++++++++++++++++++++++++++++++
> main/iaxmodem/iaxmodem.confd | 5 ++
> main/iaxmodem/iaxmodem.initd | 14 ++---
> 4 files changed, 179 insertions(+), 20 deletions(-)
> create mode 100644 main/iaxmodem/iaxmodem.c.patch
>
> diff --git a/main/iaxmodem/APKBUILD b/main/iaxmodem/APKBUILD
> index 650004c..d29f232 100644
> --- a/main/iaxmodem/APKBUILD
> +++ b/main/iaxmodem/APKBUILD
> _at_@ -1,38 +1,57 @@
> # Contributor: Cameron Banta <cbanta_at_gmail.com>
> +# Contributor: Mika Havela <mika.havela_at_gmail.com>
> # Maintainer: Cameron Banta <cbanta_at_gmail.com>
> pkgname=iaxmodem
> pkgver=1.2.0
> -pkgrel=4
> +pkgrel=5
> pkgdesc="Softmodem for hylafax that connects to VOIP gateway with IAX"
> url="http://iaxmodem.sourceforge.net/"
> arch="all"
> license="GPL"
> -depends=
> -makedepends="tiff-dev"
> -install=
> +depends=""
> +depends_dev="uclibc-dev"

You normally don't need uclibc-dev in the depends. abuild will pull it in via build-base. Also, adding uclibc-dev in there will break things for the glibc fork.

> +makedepends="$depends_dev tiff-dev"
> +install=""

...

> diff --git a/main/iaxmodem/iaxmodem.c.patch b/main/iaxmodem/iaxmodem.c.patch

You should run this patch with upstream.

-nc


---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Mon May 06 2013 - 13:46:41 UTC